import { Vector3 } from "three";
import { Board } from "../../DatabaseServices/Entity/Board";
import { ExtrudeContourCurve } from "../../DatabaseServices/Entity/Extrude";
import { Command } from "../../Editor/CommandMachine";
export declare class LinearCutting implements Command {
    exec(): Promise<void>;
    protected SplitBoard(br: Board, cus: ExtrudeContourCurve[]): void;
    protected GetCuttingPoints(): Promise<Vector3[] | undefined>;
}
export declare class RectLinearCutting extends LinearCutting {
    protected GetCuttingPoints(): Promise<Vector3[] | undefined>;
}
//# sourceMappingURL=LinearCutting.d.ts.map