import { Vector3 } from "three";
import { AlignedDimension } from "../../DatabaseServices/Dimension/AlignedDimension";
import { DimContinue } from "./DimContinue";
export declare class DimContinueAligen extends DimContinue {
    private m_line;
    /**
    * 重载: 当绘制开始时,会拷贝标注,此时你可以进行一些操作
    * @param dim
    * @returns and jig draw
    */
    protected CloneDimension(dim: AlignedDimension): AlignedDimension;
    /**
     * 重载:当用户点击的位置改变时,调用这个函数
     * @param p
     * @param dim
     */
    protected UpdateNextPoint(p: Vector3, dim: AlignedDimension): void;
    /**
    * 重载,当绘制时发生
    * @param dim
    */
    protected Drawed(dim: AlignedDimension, p: Vector3): void;
    /**
     * 重载:绘制结束后,将调用这个函数
     */
    protected EndDraw(): void;
}
//# sourceMappingURL=DimContinueAligen.d.ts.map