import { Vector3 } from "three";
import { LineAngularDimension } from "../../DatabaseServices/Dimension/2LineAngularDimension";
import { DimContinue } from "./DimContinue";
export declare class DimContinueLineAngular extends DimContinue {
    private _l1Sp;
    private _l1Ep;
    private _l2Ep;
    private _arc;
    private _narc;
    /**
    * 重载: 当绘制开始时,会拷贝标注,此时你可以进行一些操作
    * @param dim
    * @returns and jig draw
    */
    protected CloneDimension(dim: LineAngularDimension): LineAngularDimension;
    /**
    * 重载,当绘制时发生
    * @param dim
    */
    protected Drawed(dim: LineAngularDimension, p: Vector3): void;
    /**
     * 重载:当用户点击的位置改变时,调用这个函数
     * @param p
     * @param dim
     */
    protected UpdateNextPoint(p: Vector3, dim: LineAngularDimension): void;
    /**
     * 重载:绘制结束后,将调用这个函数
     */
    protected EndDraw(): void;
}
//# sourceMappingURL=DimContinueLineAngular.d.ts.map