import { Matrix4 } from "three";
import { Curve } from "../../DatabaseServices/Entity/Curve";
import { Command } from "../../Editor/CommandMachine";
import { Route } from "../../Geometry/CurveMap";
export declare class Command_Curve2Polyline implements Command {
    IsSaveMax: boolean;
    IsOnlySaveSmall: boolean;
    SmallWidth: number;
    BreakCurve: boolean;
    ExtendsMinDist: number;
    ForceUseFrontViewCS: boolean;
    ForceUseUCS: boolean;
    exec(): Promise<void>;
    Doit(selectedCurs: Curve[]): void;
    Draw(routes: Route[], ocs: Matrix4, isOnlySaveSmall: boolean, color?: number): void;
}
export declare function CurveInOCS(curve: Curve, Ocs: Matrix4, OcsInv: Matrix4, zFuzz?: number): boolean;
export declare function GroupCurves(curs: Curve[]): {
    ocs: Matrix4;
    cus: Curve[];
}[];
export declare function GetAndMergeRepeatCurves(cus: Curve[]): Set<Curve>;
//# sourceMappingURL=Command_Curve2Polyline.d.ts.map