export declare enum Intent {
    NONE = "none",
    PRIMARY = "primary",
    SUCCESS = "success",
    WARNING = "warning",
    DANGER = "danger"
}
export interface IToasterOption {
    message: string | string[];
    timeout: number;
    intent: Intent;
    key?: string;
}
declare type ToasterFunction = (option: IToasterOption) => void;
export declare const ToasterInjectFunctions: ToasterFunction[];
export declare function Toaster(option: IToasterOption): void;
export {};
//# sourceMappingURL=Toaster.d.ts.map