import { Color } from "three";
import { PhysicalMaterialRecord } from "./PhysicalMaterialRecord";
declare const DefaultParam: Readonly<{
    color: "#ffffff";
    baseColorluminance: 0;
    baseColorLightColor: Color;
    baseColorDarkColor: Color;
    baseColorSaturability: 1;
    transparent: false;
    opacity: 1;
    opacityContrast: 1;
    opacityBorder: 1;
    opacityMaximum: 1;
    opacityMinimum: 0.3;
    matalness: 0;
    bumpScale: 0.1;
    roughness: 0.2;
    specular: 1;
    selfLuminous: 0;
    fresnelPO: 1;
    fresnelST: 1;
    fresnelLuminance: 1;
    fresnelLightColor: Color;
    fresnelDarkColor: Color;
    UVType: 0;
    sharpen: 1;
}>;
declare type MaterialParam = typeof DefaultParam;
export declare const DefaultParamMap: Readonly<{
    木纹: Readonly<{
        color: "#ffffff";
        baseColorluminance: 0;
        baseColorLightColor: Color;
        baseColorDarkColor: Color;
        baseColorSaturability: 1;
        transparent: false;
        opacity: 1;
        opacityContrast: 1;
        opacityBorder: 1;
        opacityMaximum: 1;
        opacityMinimum: 0.3;
        matalness: 0;
        bumpScale: 0.1;
        roughness: 0.2;
        specular: 1;
        selfLuminous: 0;
        fresnelPO: 1;
        fresnelST: 1;
        fresnelLuminance: 1;
        fresnelLightColor: Color;
        fresnelDarkColor: Color;
        UVType: 0;
        sharpen: 1;
    }>;
    乳胶漆: Readonly<{
        color: "#ffffff";
        baseColorluminance: 0;
        baseColorLightColor: Color;
        baseColorDarkColor: Color;
        baseColorSaturability: 1;
        transparent: false;
        opacity: 1;
        opacityContrast: 1;
        opacityBorder: 1;
        opacityMaximum: 1;
        opacityMinimum: 0.3;
        matalness: 0;
        bumpScale: 0.1;
        roughness: 0.2;
        specular: 1;
        selfLuminous: 0;
        fresnelPO: 1;
        fresnelST: 1;
        fresnelLuminance: 1;
        fresnelLightColor: Color;
        fresnelDarkColor: Color;
        UVType: 0;
        sharpen: 1;
    }>;
    烤漆: Readonly<{
        color: "#ffffff";
        baseColorluminance: 0;
        baseColorLightColor: Color;
        baseColorDarkColor: Color;
        baseColorSaturability: 1;
        transparent: false;
        opacity: 1;
        opacityContrast: 1;
        opacityBorder: 1;
        opacityMaximum: 1;
        opacityMinimum: 0.3;
        matalness: 0;
        bumpScale: 0.1;
        roughness: 0.2;
        specular: 1;
        selfLuminous: 0;
        fresnelPO: 1;
        fresnelST: 1;
        fresnelLuminance: 1;
        fresnelLightColor: Color;
        fresnelDarkColor: Color;
        UVType: 0;
        sharpen: 1;
    }>;
    金属: Readonly<{
        color: "#ffffff";
        baseColorluminance: 0;
        baseColorLightColor: Color;
        baseColorDarkColor: Color;
        baseColorSaturability: 1;
        transparent: false;
        opacity: 1;
        opacityContrast: 1;
        opacityBorder: 1;
        opacityMaximum: 1;
        opacityMinimum: 0.3;
        matalness: 0;
        bumpScale: 0.1;
        roughness: 0.2;
        specular: 1;
        selfLuminous: 0;
        fresnelPO: 1;
        fresnelST: 1;
        fresnelLuminance: 1;
        fresnelLightColor: Color;
        fresnelDarkColor: Color;
        UVType: 0;
        sharpen: 1;
    }>;
    亚光金属: Readonly<{
        color: "#ffffff";
        baseColorluminance: 0;
        baseColorLightColor: Color;
        baseColorDarkColor: Color;
        baseColorSaturability: 1;
        transparent: false;
        opacity: 1;
        opacityContrast: 1;
        opacityBorder: 1;
        opacityMaximum: 1;
        opacityMinimum: 0.3;
        matalness: 0;
        bumpScale: 0.1;
        roughness: 0.2;
        specular: 1;
        selfLuminous: 0;
        fresnelPO: 1;
        fresnelST: 1;
        fresnelLuminance: 1;
        fresnelLightColor: Color;
        fresnelDarkColor: Color;
        UVType: 0;
        sharpen: 1;
    }>;
    自发光: Readonly<{
        color: "#ffffff";
        baseColorluminance: 0;
        baseColorLightColor: Color;
        baseColorDarkColor: Color;
        baseColorSaturability: 1;
        transparent: false;
        opacity: 1;
        opacityContrast: 1;
        opacityBorder: 1;
        opacityMaximum: 1;
        opacityMinimum: 0.3;
        matalness: 0;
        bumpScale: 0.1;
        roughness: 0.2;
        specular: 1;
        selfLuminous: 0;
        fresnelPO: 1;
        fresnelST: 1;
        fresnelLuminance: 1;
        fresnelLightColor: Color;
        fresnelDarkColor: Color;
        UVType: 0;
        sharpen: 1;
    }>;
    大理石: Readonly<{
        color: "#ffffff";
        baseColorluminance: 0;
        baseColorLightColor: Color;
        baseColorDarkColor: Color;
        baseColorSaturability: 1;
        transparent: false;
        opacity: 1;
        opacityContrast: 1;
        opacityBorder: 1;
        opacityMaximum: 1;
        opacityMinimum: 0.3;
        matalness: 0;
        bumpScale: 0.1;
        roughness: 0.2;
        specular: 1;
        selfLuminous: 0;
        fresnelPO: 1;
        fresnelST: 1;
        fresnelLuminance: 1;
        fresnelLightColor: Color;
        fresnelDarkColor: Color;
        UVType: 0;
        sharpen: 1;
    }>;
    混凝土: Readonly<{
        color: "#ffffff";
        baseColorluminance: 0;
        baseColorLightColor: Color;
        baseColorDarkColor: Color;
        baseColorSaturability: 1;
        transparent: false;
        opacity: 1;
        opacityContrast: 1;
        opacityBorder: 1;
        opacityMaximum: 1;
        opacityMinimum: 0.3;
        matalness: 0;
        bumpScale: 0.1;
        roughness: 0.2;
        specular: 1;
        selfLuminous: 0;
        fresnelPO: 1;
        fresnelST: 1;
        fresnelLuminance: 1;
        fresnelLightColor: Color;
        fresnelDarkColor: Color;
        UVType: 0;
        sharpen: 1;
    }>;
    粗糙石材: Readonly<{
        color: "#ffffff";
        baseColorluminance: 0;
        baseColorLightColor: Color;
        baseColorDarkColor: Color;
        baseColorSaturability: 1;
        transparent: false;
        opacity: 1;
        opacityContrast: 1;
        opacityBorder: 1;
        opacityMaximum: 1;
        opacityMinimum: 0.3;
        matalness: 0;
        bumpScale: 0.1;
        roughness: 0.2;
        specular: 1;
        selfLuminous: 0;
        fresnelPO: 1;
        fresnelST: 1;
        fresnelLuminance: 1;
        fresnelLightColor: Color;
        fresnelDarkColor: Color;
        UVType: 0;
        sharpen: 1;
    }>;
    玻璃: Readonly<{
        color: "#ffffff";
        baseColorluminance: 0;
        baseColorLightColor: Color;
        baseColorDarkColor: Color;
        baseColorSaturability: 1;
        transparent: false;
        opacity: 1;
        opacityContrast: 1;
        opacityBorder: 1;
        opacityMaximum: 1;
        opacityMinimum: 0.3;
        matalness: 0;
        bumpScale: 0.1;
        roughness: 0.2;
        specular: 1;
        selfLuminous: 0;
        fresnelPO: 1;
        fresnelST: 1;
        fresnelLuminance: 1;
        fresnelLightColor: Color;
        fresnelDarkColor: Color;
        UVType: 0;
        sharpen: 1;
    }>;
    皮革: Readonly<{
        color: "#ffffff";
        baseColorluminance: 0;
        baseColorLightColor: Color;
        baseColorDarkColor: Color;
        baseColorSaturability: 1;
        transparent: false;
        opacity: 1;
        opacityContrast: 1;
        opacityBorder: 1;
        opacityMaximum: 1;
        opacityMinimum: 0.3;
        matalness: 0;
        bumpScale: 0.1;
        roughness: 0.2;
        specular: 1;
        selfLuminous: 0;
        fresnelPO: 1;
        fresnelST: 1;
        fresnelLuminance: 1;
        fresnelLightColor: Color;
        fresnelDarkColor: Color;
        UVType: 0;
        sharpen: 1;
    }>;
    布料: Readonly<{
        color: "#ffffff";
        baseColorluminance: 0;
        baseColorLightColor: Color;
        baseColorDarkColor: Color;
        baseColorSaturability: 1;
        transparent: false;
        opacity: 1;
        opacityContrast: 1;
        opacityBorder: 1;
        opacityMaximum: 1;
        opacityMinimum: 0.3;
        matalness: 0;
        bumpScale: 0.1;
        roughness: 0.2;
        specular: 1;
        selfLuminous: 0;
        fresnelPO: 1;
        fresnelST: 1;
        fresnelLuminance: 1;
        fresnelLightColor: Color;
        fresnelDarkColor: Color;
        UVType: 0;
        sharpen: 1;
    }>;
    竹藤编织: Readonly<{
        color: "#ffffff";
        baseColorluminance: 0;
        baseColorLightColor: Color;
        baseColorDarkColor: Color;
        baseColorSaturability: 1;
        transparent: false;
        opacity: 1;
        opacityContrast: 1;
        opacityBorder: 1;
        opacityMaximum: 1;
        opacityMinimum: 0.3;
        matalness: 0;
        bumpScale: 0.1;
        roughness: 0.2;
        specular: 1;
        selfLuminous: 0;
        fresnelPO: 1;
        fresnelST: 1;
        fresnelLuminance: 1;
        fresnelLightColor: Color;
        fresnelDarkColor: Color;
        UVType: 0;
        sharpen: 1;
    }>;
}>;
export declare type MaterialType = keyof (typeof DefaultParamMap);
export declare function SetMaterialParams(mtl: PhysicalMaterialRecord, param: MaterialParam): void;
export {};
//# sourceMappingURL=IMaterialDefaultParam.d.ts.map