import { CADFiler } from "../../CADFiler";
import { ObjectId } from "../../ObjectId";
import { TemplateAction } from "./TemplateAction";
export declare enum ThicknessDirection {
    Center = 0,
    Back = 1,
    Front = 2
}
export interface ThicknessActionData {
    Direction: ThicknessDirection;
    /**
     * 附加的动作
     */
    Actions: TemplateAction[];
}
/**
 * 模版动作
 */
export declare class TempateThicknessAction extends TemplateAction {
    EntityDirectionMap: Map<ObjectId, ThicknessActionData>;
    protected _Update(paramDiff: number, newValue: number): void;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=TempateThicknessAction.d.ts.map