import { CADFiler } from "../../CADFiler";
import { ObjectId } from "../../ObjectId";
import { TemplateAction } from "./TemplateAction";
export interface IGrooveFillet {
    Index: number;
    ArcParams: number[];
}
interface IFilletcActionData {
    Entity: ObjectId;
    ArcParams: number[];
    Grooves?: IGrooveFillet[];
    Path2D?: IGrooveFillet[];
}
export declare class TemplateFilletAction extends TemplateAction {
    FilletDatas: IFilletcActionData[];
    constructor();
    protected _Update(paramDiff: number, newValue: number): void;
    private Fillet;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
export {};
//# sourceMappingURL=TemplateFilletAction.d.ts.map