import { Vector3 } from 'three';
import { Singleton } from '../../Common/Singleton';
import { Text } from './Text';
export declare class TextArea extends Singleton {
    private _AreaContiner;
    private _EditorElList;
    private _TextHeight;
    private _TextPosition;
    private _TextRotation;
    private _CurrentValue;
    private _EditoringObject;
    constructor();
    StartDrawText(position: Vector3, height: number, rotate: number, str: string): void;
    StartEditorText(textObj: any, editorPosition?: Vector3): void;
    WorldToScreenHeight(h: number): number;
    CreateEditorArea(position?: Vector3): void;
    get TextareaHeight(): number;
    get ScreenPostion(): Vector3;
    RegisterEvent(): void;
    ClearEvent(): void;
    OnKeyDown: (e: KeyboardEvent) => void;
    OnClick: (e: MouseEvent) => void;
    OnBlur: (e: Event) => Promise<void>;
    /**
     *清除监听事件，将编辑的内容构建文字对象，更新视图,移除编辑框Dom
     */
    EndEditor(): Promise<void>;
    EndEditorEvent(text: Text): void;
    private waitPromis;
    Wait(): Promise<unknown>;
}
//# sourceMappingURL=TextArea.d.ts.map