import { Matrix4, Object3D } from 'three';
import { Viewer } from '../GraphicsSystem/Viewer';
import { Editor } from './Editor';
import { IUCSGridConfig } from './UserConfig';
export declare enum UCSPsotion {
    Hide = -1,
    Origin = 0,
    LeftBottom = 1
}
export declare class UCSServices {
    private _Editor;
    private _UCSMatrix;
    private _UcsObj;
    private _DisplayPosition;
    constructor(_Editor: Editor);
    get Visible(): boolean;
    set Visible(v: boolean);
    private Update;
    set UCSPsotion(type: UCSPsotion);
    get UCSMatrix(): Matrix4;
    set UCSMatrix(m: Matrix4);
    SettingGripHelper(UCSGridConfig: IUCSGridConfig): void;
}
export declare function MatrixToPreViewMat(mtx: Matrix4, view: Viewer, obj: Object3D, displayPosition: UCSPsotion, repairPos?: boolean): void;
//# sourceMappingURL=UCSServices.d.ts.map