import React, { Component, RefObject } from 'react';
import { CoolDownTime } from '../../../../Common/CoolDownTime';
import GalleryStore from '../GalleryStore';
import { GalleryClass } from '../interface/GalleryInterfaces';
export default class ManageClass extends Component {
    GalleryStore: GalleryStore;
    classListAreaRef: RefObject<HTMLDivElement>;
    observer: ResizeObserver;
    time: CoolDownTime;
    imgRef: RefObject<HTMLImageElement>;
    itemWidth: string;
    isCreateing: boolean;
    loading: boolean;
    FixGalleryItemWidth: () => void;
    PostNewGalleryClass: (e: React.FormEvent) => Promise<void>;
    componentDidMount(): Promise<void>;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
export declare class ClassItem extends Component<{
    class: GalleryClass;
    width: string;
}> {
    GalleryStore: GalleryStore;
    imgRef: RefObject<HTMLImageElement>;
    isEdit: boolean;
    logo: {
        icon: string;
        text: string;
    };
    loading: boolean;
    isOpenDeleteAlert: boolean;
    PutClass: (e: React.FormEvent<HTMLFormElement>) => Promise<void>;
    DeleteClass: (class_id: number) => Promise<void>;
    render(): JSX.Element;
}
//# sourceMappingURL=ManageClass.d.ts.map