import { IObservableValue } from 'mobx';
import * as React from 'react';
import { OneKeyLayoutStore } from '../../../../Add-on/Viewport/OneKeyLayoutStore';
import { IDirectoryProps } from '../../SourceManage/CommonPanel';
export interface IToplineListProps {
    deleteFun?: (topline?: {
        topline_id: any;
    }) => void;
    dataList?: any[];
    select?: (e: React.FormEvent<HTMLInputElement>, data: any) => void;
    draw: (id: string) => void;
    oneKeyLayout: () => void;
    isRename: IObservableValue<boolean>;
    updata: (name: string, dir: IDirectoryProps, call: Function) => void;
    getData?: () => void;
    info: {
        id: string;
        name: string;
    };
    selectIds?: Set<string>;
    showInfos?: boolean;
    store?: OneKeyLayoutStore;
}
/**
 * 图框管理器界面的<图框列表>
 */
export declare class FrameList extends React.Component<IToplineListProps, {
    isContextMenuOpen: boolean;
}> {
    private _cameraFiler;
    constructor(props: any);
    private handleDbClick;
    private handleMounseDown;
    private exitEditor;
    private renderToasterMessage;
    private startEditorFrame;
    private handleUpdateFrame;
    private showContextMenu;
    render(): JSX.Element;
}
//# sourceMappingURL=FrameList.d.ts.map