import * as React from 'react';
import { Board } from "../DatabaseServices/Entity/Board";
import { Command } from "../Editor/CommandMachine";
import { IConfigOption } from '../UI/Components/Board/UserConfig';
import { IConfigStore } from '../UI/Store/BoardStore';
export declare class ChangeColorByMaterial implements Command {
    store: CalcBrThicknessConfigStore;
    exec(): Promise<void>;
}
interface BoardColorMaterialMapDialogProps {
    data: {
        mtl: string;
        brs: Board[];
        color: number;
    }[];
}
export declare class BoardColorMaterialMapDialog extends React.Component<BoardColorMaterialMapDialogProps, {}> {
    selectIndex: number;
    removeAop: Function;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    private click;
}
declare class CalcBrThicknessConfigStore implements IConfigStore {
    private static _SingleInstance;
    static GetInstance(): CalcBrThicknessConfigStore;
    configName: string;
    configsNames: string[];
    config: {
        option: {
            CalcBoardThickness: boolean;
        };
    };
    InitOption(): void;
    SaveConfig(): {
        option: {
            CalcBoardThickness: boolean;
        };
    };
    UpdateOption(conf: IConfigOption<any>): void;
}
export {};
//# sourceMappingURL=ChangeColorByBoardMaterial.d.ts.map