import { Vector3 } from "three";
import { LineAngularDimension } from "../../DatabaseServices/Dimension/2LineAngularDimension";
import { AlignedDimension } from "../../DatabaseServices/Dimension/AlignedDimension";
import { Dimension } from "./Command_DimContinue";
export declare class BreakDimTool {
    protected m_LastDim: Dimension;
    protected m_BasePoint: Vector3;
    StartDraw(lastDim: Dimension): Promise<void>;
    /**
     * 重载: 当绘制开始时,会拷贝标注,此时你可以进行一些操作
     * @param dim
     * @returns and jig draw
     */
    protected CloneDimension(dim: Dimension): AlignedDimension | LineAngularDimension;
    /**
     * 重载:当用户点击的位置改变时,调用这个函数
     * @param p
     * @param dim
     */
    protected UpdateNextPoint(p: Vector3, dim1: Dimension, dim2: Dimension): void;
    /**
     * 重载,当绘制时发生
     * @param dim
     */
    protected Drawed(p: Vector3): void;
    /**
     * 重载:绘制结束后,将调用这个函数
     */
    protected EndDraw(): void;
    /**
    * 重载:停止绘制后,将调用这个函数
    */
    protected StopDraw(): void;
}
//# sourceMappingURL=BreakDimTool.d.ts.map