import { IResponseData } from "../../../Common/Request";
import { PhysicalMaterialRecord } from "../../../DatabaseServices/PhysicalMaterialRecord";
import { KJLImportConfigOption } from "../../../UI/Store/BoardInterface";
import { KJL_Material } from "./KJL_Material";
interface MaterialFetchData extends IResponseData {
    materials: {
        name: string;
        file: string;
    };
}
export declare class KJLMaterialLoader {
    KjlName_Material: Map<string, KJL_Material>;
    fetchId_MaterialData: Map<string, MaterialFetchData>;
    fetchId_Material: Map<string, PhysicalMaterialRecord>;
    constructor();
    LoadKJLConfigMaterials(config: {
        [key: string]: KJLImportConfigOption;
    }): Promise<void>;
    private LoadMaterial;
    LoadMaterialFromName(materialName: string): Promise<PhysicalMaterialRecord>;
}
export {};
//# sourceMappingURL=KJLMaterialLoader.d.ts.map