import { Singleton } from "../../Common/Singleton";
import { Board } from "../../DatabaseServices/Entity/Board";
import { ISpaceParse } from "../../Geometry/SpaceParse/ISpaceParse";
import { ILatticeOption } from "../../UI/Store/LatticeInterface";
export declare class DrawLatticeDrawerTool extends Singleton {
    private _config;
    private space;
    private leftBr;
    private rightBr;
    private frontBr;
    private backBr;
    private haveTopBr;
    get Config(): ILatticeOption;
    Draw(space: ISpaceParse, config: ILatticeOption): Board[];
    private HandleSpace;
    private ChangeLeftRightBr;
    private ParseBrTooth;
    private ParseSpaceBrs;
    private ParseArcLenOrObliuqeAng;
    private WriteBoardProcessOption;
    protected ParseHighSealing(br: Board, leftSealed: number, rightSealed: number, topSealed: number, downSealed: number, isHor: boolean): void;
    private End;
}
//# sourceMappingURL=LatticeDrawerTool.d.ts.map