import { RoomHolePolyline } from '../../DatabaseServices/Room/Entity/Wall/Hole/RoomHolePolyline';
import { Command } from "../../Editor/CommandMachine";
import { PromptBlock } from '../../UI/DynamicPrompt/PromptBlock';
export declare enum DrawHoleType {
    I = 2,
    L = 3,
    U = 4
}
export declare enum IHoleType {
    Window = 1,
    Door = 2
}
export declare class Command_DrawHole implements Command {
    private _DrawType;
    private _HoleIType?;
    constructor(_DrawType: DrawHoleType, _HoleIType?: IHoleType);
    holeLength: number;
    holeHeight: number;
    offGround: number;
    exec(): Promise<void>;
    do(dyn: PromptBlock): Promise<void>;
    GetHoleHeight: (hole: RoomHolePolyline) => Promise<RoomHolePolyline>;
    GetHoleoffGround: () => Promise<void>;
}
//# sourceMappingURL=DrawHole.d.ts.map