import React from "react";
import { Board } from "../../DatabaseServices/Entity/Board";
import { ICommonOptionProps } from "../../UI/Components/Board/CommonBoardOption";
import "./groove.less";
import { GrooveInfo } from "./GrooveInfo";
interface BoardProps {
    BoardProps: Board[];
}
export declare class GroovesModifyModal extends React.Component<BoardProps, ICommonOptionProps, {}> {
    _ei1: GrooveInfo[][];
    _refs: React.RefObject<any>[];
    _inputEls: React.RefObject<any>[][];
    _inputEl1: React.RefObject<HTMLInputElement>;
    _inputEl2: React.RefObject<HTMLInputElement>;
    _inputEl3: React.RefObject<HTMLInputElement>;
    _inputEl4: React.RefObject<HTMLInputElement>;
    _isCheckAll: boolean;
    getExtrudeSolidList(board: Board, grooves: GrooveInfo[][]): GrooveInfo[];
    modifyOfPart(grooves: GrooveInfo[][], inputEls: React.RefObject<any>[][]): void;
    modifyOfCheck: (e: GrooveInfo[][]) => void;
    onChange: () => Promise<void>;
    onKeyDown(e: React.KeyboardEvent<HTMLInputElement>): void;
    checkNum(e: React.ChangeEvent<HTMLInputElement>): void;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=GroovesModifyModal.d.ts.map