import { Color, DirectionalLight, DirectionalLightHelper, Matrix4, Mesh } from "three";
export declare class SunLightHelper extends DirectionalLightHelper {
    light: DirectionalLight;
    children: [Mesh];
    size: number;
    /**
     * @default undefined
     */
    color: Color | string | number;
    matrix: Matrix4;
    constructor(light: DirectionalLight, size: number, color?: Color);
    /**
     * @default false
     */
    matrixAutoUpdate: boolean;
}
//# sourceMappingURL=SunLightHelper.d.ts.map