import { CADFiler } from "../../CADFiler";
import { TemplateParam } from "../Param/TemplateParam";
/**
 * 模版动作
 */
export declare class TemplateAction {
    Name: string;
    /** 表达式应该只能依赖自身 */
    Expr: string;
    Description: string;
    parent: TemplateParam;
    WriteAllObjectRecord(): void;
    Update(paramDiff: number | string, newValue: number | string): void;
    /**
     * @重载
     */
    protected _Update(paramDiff: number | string, newValue: number | string): void;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=TemplateAction.d.ts.map