import { BoxBufferGeometry, ConeBufferGeometry, CylinderBufferGeometry, Group, LineBasicMaterial } from "three";
export declare class Axes extends Group {
    private _ConeHeight;
    private _ConeRadius;
    private _AxesLength;
    private _Line;
    private _Cone;
    constructor(_ConeHeight?: number, //圆锥高
    _ConeRadius?: number, //圆锥半径
    _AxesLength?: number);
    private _ConeNeg;
    InitNegCone(): void;
    private static _LineGeom;
    static get LineGeom(): CylinderBufferGeometry;
    private static _ConeGeo;
    static get ConeGeo(): ConeBufferGeometry;
    private static _BoxGeo;
    static get BoxGeo(): BoxBufferGeometry;
    set ConeRadius(size: number);
    set AxesLength(length: number);
    set Material(m: LineBasicMaterial);
}
//# sourceMappingURL=Axes.d.ts.map