export declare class WebRtcPlayer {
    cfg: any;
    pcClient: any;
    dcClient: any;
    tnClient: any;
    sdpConstraints: {
        offerToReceiveAudio: number;
        offerToReceiveVideo: number;
        voiceActivityDetection: boolean;
    };
    dataChannelOptions: {
        ordered: boolean;
    };
    onVideoInitialised: any;
    video: HTMLVideoElement;
    onDataChannelConnected: any;
    onDataChannelMessage: any;
    onWebRtcOffer: any;
    aggregatedStats: any;
    onAggregatedStats: any;
    handleCandidateFromServer: (iceCandidate: any) => void;
    onWebRtcCandidate: (candidate: any) => void;
    createOffer: () => void;
    receiveAnswer: (answer: any) => void;
    close: () => void;
    aggregateStatsIntervalId: any;
    send: (data: any) => void;
    getStats: (onStats: any) => void;
    aggregateStats: (checkInterval: any) => void;
    forceTURN: boolean;
    forceMaxBundle: boolean;
    startVideoMuted: any;
    autoPlayAudio: any;
    useMic: boolean;
    preferSFU: boolean;
    latencyTestTimings: {
        TestStartTimeMs: any;
        UEReceiptTimeMs: any;
        UEEncodeMs: any;
        UECaptureToSendMs: any;
        UETransmissionTimeMs: any;
        BrowserReceiptTimeMs: any;
        FrameDisplayDeltaTimeMs: any;
        Reset: () => void;
        SetUETimings: (UETimings: any) => void;
        SetFrameDisplayDeltaTime: (DeltaTimeMs: any) => void;
        OnAllLatencyTimingsReady: (Timings: any) => void;
    };
    createWebRtcVideo: () => HTMLVideoElement;
    availableVideoStreams: Map<any, any>;
    setVideoEnabled: (enabled: any) => void;
    startLatencyTest: (onTestStarted: any) => void;
    receiveOffer: (offer: any) => void;
    onWebRtcAnswer: any;
    constructor(parOptions?: {
        startVideoMuted?: boolean;
        autoPlayAudio?: boolean;
        peerConnectionOptions?: {
            iceServers?: any[];
            sdpSemantics: string;
            offerExtmapAllowMixed: boolean;
            bundlePolicy: string;
        };
        type: string;
    });
}
//# sourceMappingURL=WebRtcPlayer.d.ts.map