import { CADObject } from "../DatabaseServices/CADObject";
import { RoomHolePolyline } from "../DatabaseServices/Room/Entity/Wall/Hole/RoomHolePolyline";
import { RoomWallBase } from "../DatabaseServices/Room/Entity/Wall/RoomWallBase";
/**
 * 更新墙与洞的关联性
 */
export declare function UpdateRelevanceWallHole(ents: CADObject[]): Promise<void>;
/**
 * 更新墙的洞的数据,并且更新绘制
 */
export declare function UpdateWallHolesDataAndUpdateDraw(wall: RoomWallBase): RoomWallBase;
/**
 * 更新网洞的绘制
 * 在墙移动的时候,或者网洞变化的时候 这个网洞的绘制就需要被更新
 */
export declare function UpdateHoleFakerWallsAndUpdateDraw(hole: RoomHolePolyline): void;
export declare function GetHoleLengthOfIndex(hole: RoomHolePolyline, index: number): number;
//# sourceMappingURL=RoomHoleReactor.d.ts.map