import { IObservableValue } from 'mobx';
import * as React from 'react';
import { IFileInfo } from '../../../DatabaseServices/FileServer';
import { TopPanelStore } from '../../Store/TopPanelStore';
import { IDirectoryProps } from './CommonPanel';
export interface IFileListProps {
    dataList?: any[];
    deleteFun?: (pic?: {
        image_id: string;
    }) => void;
    store?: TopPanelStore;
    select?: (e: any, data: any) => void;
    isRename: IObservableValue<boolean>;
    info: {
        fid: string;
        name: string;
    };
    selectIds?: Set<string>;
    showInfos?: boolean;
    copy?: Function;
    paste?: Function;
    copyIds?: Set<string>;
    isShowSize?: boolean;
    currentDir?: IDirectoryProps;
}
export declare class FileList extends React.Component<IFileListProps, {}> {
    handleOpenFile: (file: IFileInfo) => Promise<void>;
    private showContextMenu;
    render(): JSX.Element;
}
//# sourceMappingURL=FileList.d.ts.map