import { IConfigOption } from "../../Components/Board/UserConfig";
import { IUiOption } from "../BoardInterface";
import { BoardStore } from "../BoardStore";
import { IHingeConfigOption } from "../DoorInterface";
import { IHingeRule } from "./DoorStore";
export declare class HingeStore extends BoardStore {
    m_Option: IHingeConfigOption;
    currentRule: IHingeRule;
    uiRule: IUiOption<IHingeRule>;
    rules: IHingeRule[];
    currentIndex: number;
    InitOption(): void;
    SaveConfig(): {
        option: IHingeConfigOption;
        other: IHingeRule[];
    };
    UpdateOption(cof: IConfigOption<IHingeConfigOption>): void;
    get UIRule(): IUiOption<IHingeRule>;
    AppendRule(): void;
    RemoveRule(): Promise<void>;
    CheckRule(ruleOption: IUiOption<IHingeRule>): string;
}
//# sourceMappingURL=HingeStore.d.ts.map