import { Vector2D } from "./Vector2";
import { Vector3D } from "./Vector3";
import { Matrix4 } from "three";
export declare class Vertex3D {
    pos: Vector3D;
    uv: Vector2D;
    tag: number;
    constructor(pos: Vector3D, uv?: Vector2D);
    clone(): Vertex3D;
    flipped(): this;
    getTag(): number;
    interpolate(other: Vertex3D, t: number): Vertex3D;
    transform(matrix4x4: Matrix4): Vertex3D;
}
//# sourceMappingURL=Vertex3.d.ts.map